Package org.apache.solr.common

## Interface SolrCloseable

All Superinterfaces:
  `AutoCloseable`, `Closeable`

All Known Subinterfaces:
  `ClusterStateProvider`

All Known Implementing Classes:
  `BaseHttpClusterStateProvider`, `DelegatingClusterStateProvider`, `Http2ClusterStateProvider`, `HttpClusterStateProvider`, `ObjectCache`

    public interface SolrCloseable
    extends Closeable

A `Closeable` that also allows checking whether it's been closed.

### Method Summary

All Methods Instance Methods Default Methods
`default boolean` `isClosed()`

### Methods inherited from interface java.io.Closeable

`close`

### Method Detail

#### isClosed

    default boolean isClosed()